Subject: [PATCH 0/7] Add sigrok
From: Theodoros Foradis <[email-masked]>
To: [email-masked]
Cc: Theodoros Foradis <[email-masked]>
Date: Wed, 14 Jun 2017 12:54:34 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This patch series includes all needed packages to run sigrok, a signal
analysis software suite.

I did introduce a new file, electronics.scm, which may not be a good
idea, I could refactor the patches to apply to an existing one.

Also, the package libsigrok, includes a file with udev rules. I have our
package change the udev group from plugdev to dialout. Is that correct?
Or should it be some other group it changes to?

* Theodoros Foradis(7):
 gnu: Add pulseview.
 gnu: Add sigrok-cli.
 gnu: Add libsigrok.
 gnu: Add sigrok-firmware-fx2lafw.
 gnu: Add libsigrokdecode.
 gnu: Add libserialport.
 gnu: Add libzip.
 gnu/local.mk                 |   1 +
 gnu/packages/electronics.scm | 227 ++++++++++++++++++++++++++++++++++++++
 gnu/packages/zip.scm         |  32 ++++++++++++++
 3 files changed, 260 insertions(+)
 create mode 100644 gnu/packages/electronics.scm
-- 
Theodoros Foradis